#include "hmiworks.h"
#include "hmi_options.h"

#define TICKS_PER_SECOND 100
#define MS_PER_TICK      (1000 / TICKS_PER_SECOND)

void SysTickIntHandler()
{
    hmi_TimerTrigger();
}

int main(void)
{
    if ( HMI_STARTUP_DELAY )
        hmi_DelayUS( HMI_STARTUP_DELAY * 1000 ); 

    HMI_INIT(O_LANDSCAPE);

    if ( HMI_WDT_ENABLE )  // Enable Watchdog
    {
       hmi_WdtAutoClear( HMI_WDT_CLEAR );
       hmi_WdtEnable( HMI_WDT_TIMEOUT );
    }

    hmi_SetLED( HMI_STARTUP_LED );

    if ( HMI_STARTUP_BEEP )
        hmi_Beep();

    _frame0();

    if ( HMI_TOUCH_BEEP )
       hmi_TurnTouchBeep(1);
}
